import request from "/@/utils/request";
///admin/reserveInvestmentProjects/userDeptBelong 判断发起人单位归属-项目储备
export function getUserDeptBelong() {
    return request({
        url: '/admin/reserveInvestmentProjects/userDeptBelong',
        method: 'get',
    });
}
// /admin/externalCooperationUnits/userDeptBelong 判断发起人单位归属-外协单位
export function getExternalCooperationUnitsUserDeptBelong() {
    return request({
        url: '/admin/externalCooperationUnits/userDeptBelong',
        method: 'get',
    });
}
// /admin/mixedReform/userBelong 判断发起人单位归属-混合整改
export function getMixedReformUserBelong() {
    return request({
        url: '/admin/mixedReform/userBelong',
        method: 'get',
    });
}
// /admin/propertyRights/userDeptBelong 判断发起人单位归属-产权管理
export function getPropertyRightsUserDeptBelong() {
    return request({
        url: '/admin/propertyRights/userDeptBelong',
        method: 'get',
    });
}
// /admin/investmentProjectsPlan/getByProcessInstanceId 根据流程实例id查询
export function getInvestmentProjectsPlanByProcessInstanceId(processInstanceId:string) {
    return request({
        url: '/admin/investmentProjectsPlan/getByProcessInstanceId',
        method: 'get',
        params: { processInstanceId },
    });
}
// 添加模板 /admin/templateManagement/add
export function addTemplate(data:{templateName:string,templateType:number}) {
    return request({
        url: '/admin/templateManagement/add',
        method: 'post',
        data: data,
    });
}
// /admin/committeeApplication/getByProcessInstanceId 根据流程实例id查询 投资与资源利用专委会申请
export function getCommitteeApplicationByProcessInstanceId(processInstanceId:string) {
    return request({
        url: '/admin/committeeApplication/getByProcessInstanceId',
        method: 'get',
        params: { processInstanceId },
    })
}